<?xml version="1.0"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">
<web-app>
    <display-name>wps 2.5</display-name>
    <description>wps 2.5</description>

  <servlet>
    <servlet-name>owservice</servlet-name>
    <servlet-class>org.deegree.enterprise.servlet.OGCServletController</servlet-class>

    <init-param>
      <param-name>services</param-name>
      <param-value>wps</param-value>
      <description>The service this tomcat will create a container for e.g.: wfs or wms</description>
    </init-param>

    <!-- wps initializing parameters -->
    <init-param>
      <param-name>wps.handler</param-name>
      <param-value>org.deegree.enterprise.servlet.WPSHandler</param-value>
    </init-param>
    <init-param>
      <param-name>wps.config</param-name>
      <param-value>WEB-INF/conf/wps/wps_configuration.xml</param-value>      
    </init-param>

    <load-on-startup>1</load-on-startup>
  </servlet>

  <servlet-mapping>
    <servlet-name>owservice</servlet-name>
    <url-pattern>/services</url-pattern>
  </servlet-mapping>

  <welcome-file-list>
    <welcome-file>/index.jsp</welcome-file>
  </welcome-file-list>

  <error-page>
    <error-code>500</error-code>
    <location>/error.jsp</location>
  </error-page>

  <error-page>
    <exception-type>org.deegree.ogcwebservices.OGCWebServiceException</exception-type>
    <location>/error.jsp</location>
  </error-page>
  
</web-app>